
body::-webkit-scrollbar{
    width: 0;
}
body{
    font-family: var(--font-primary);
    margin: 0;
    background-image: url(../images/bg-img/bg-img.png);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    overflow-x: hidden;
}
body.ActiveHome{
    background-position: bottom;
}
/* Global CSS START  */
 .each_sections{
    display: none;
}
.each_sections.active_section{
    display: block;
}
.lg_none{
    display: none;
}
/* Global CSS END */

/* Cursor START  */
.custom_cursor{
    display: block;
    width: 15px;
    height: 15px;
    position: absolute;
    top: -1%;
    left: 50%;
    transform: translate(-50%);
    border-radius: 50%;
    /* background: transparent; */
    pointer-events: none;
    z-index: 111;
    background: var(--accent-color);
    border: 1px solid var(--accent-color);
    transition: all 0.2s ease-out;
    animation: moveCursor1 .5s infinite alternate;
}
.expand {
    background: transparent;
    animation: moveCursor2 .5s 1 forwards ;
    border: 1px solid #b0ff928c;
}
@keyframes moveCursor1 {
    from {
        transform: scale(1);
    }

    to {
        transform: scale(.8);
    }
}

@keyframes moveCursor2 {
    /* 0% {
        transform: scale(1);
    }

    50% {
        transform: scale(2.5);
    }

    100% {
        transform: scale(1);
        opacity: 0;
    } */
     
    from{
        transform: scale(1);
    }
    to{
        transform: scale(2.5);
    }
}

/* Cursor END */

/* Navbar START  */
.the_navbar{
    display: flex;
    justify-content: space-between;
    position: fixed;
    bottom: 20px;
    left: 0;
    right: 0;
    max-width: 170px;
    margin-inline:auto;
    /* background: var(--nav-bg-radial-gradient); */
    background: #100f0f;
    padding: 10px;
    border-radius: 20px;
    z-index: 100;
}
.the_navbar .nav_item{
    position: relative;
}
.the_navbar .nav_item .page_name{
    position: absolute;
    font-size: var(--text-smallest);
    font-weight: var(--font-weight-400);
    top: -30px;
    left: 0;
    right: 0;
    text-align: center;
    background-color: #262525;
    border: 1px solid #383737;
    border-radius: 5px;
    color: var(--white-primary);
    transition: 0.3s ease;
    opacity: 0;
    padding-inline: 5px;
    width: fit-content;
}
.the_navbar .nav_item:hover .page_name{
    opacity: 1;
    top: -40px;
}
.the_navbar .nav_item.active .page_name{
    color: var(--accent-color);
}
.the_navbar .nav_link{
    display: inline-block;
    background: #262525;
    color: #ECECEC;
    padding: 10px;
    font-size: 25px;
    border-radius: 15px;
    width: 32px;
    text-align: center;
}
.the_navbar .nav_item.active .nav_link{
    color: var(--accent-color);
}
.the_navbar .nav_item .nav_dot{
    position: absolute;
    width: 5px;
    height: 5px;
    background-color: #262525;
    margin-inline: auto;
    left: 0;
    right: 0;
    bottom: -7px;
    border-radius: 50%;
    opacity: 0;
}
.the_navbar .nav_item.active .nav_dot{
    opacity: 1;
}
/* Navbar END */

/* Home START */
.home_section{
    opacity: 0;
}
.ActiveHome .home_section{
    opacity: 1;
}
.heading_main{
 font-size: var(--heading-1);
 color: var(--white-primary);
 font-weight: var(--font-weight-700);
 display: grid;
 text-align: center;
 margin-bottom: 10px;
 transition: 0.7s linear;
 transform:scale(0.9);
}

/* Text Animation  START */
.ani_text,.ani_text_reverse{
    position: relative;
    display: inline-block;
    overflow: hidden;
}
.ani_text_inner{
    position: relative;
    transform: translateY(100%);
    display: inline-block;
    transition: 0.4s ease;
    opacity: 0;
}
/* .ani_text_inner:nth-child(1){
    transition-delay:0.2ms;
} */
/* Text Animation END */
.home_outer{
    overflow: hidden;
}
.home_carousel{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border: 1px solid #ececec94;
    border-radius: 40px;
    max-width: 60%;
    margin-inline: auto;
    overflow: hidden;
    text-align: center;
    transform: translateY(105%);
    transition: 0.3s linear;
}
.home_carousel .owl-stage{
    display: flex;
    align-items: center;
}
.home_carousel .owl-item,
.home_carousel .item{
    width: fit-content !important;
}
.single_item .text{
    font-size: var(--heading-5);
    font-weight: var(--font-weight-400);
    color: var(--white-primary);
}
.single_item.single_item_icon{
    width: fit-content;
}
.circle_icon i{
    color: var(--accent-color);
    font-size: 12px;
}
.home_sub_title_outer{
    overflow: hidden;
}
.home_sub_title{
    font-size: var(--heading-3);
    color: var(--accent-color);
    font-weight: var(--font-weight-500);
    text-align: center;
    transform: translateY(185%);
    transition: 0.3s linear;
}
/* Home END */

/* About START  */
.about_img_wrap{
    display: flex;
    gap: 50px;
}
.about_img_wrap .img_wrap{
    width: 100%;
    border-radius: 15px;
    overflow: hidden;
}
.about_img_wrap .img_wrap img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: inherit;
    transition: 0.2s;
}
.about_img_wrap .img_wrap img:hover{
    transform: scale(1.1);
}
.about_section .about_content_grid{
    display: grid;
    row-gap: 100px;
}
.edu_exp_skills_wrap .inner_item{
    display: flex;
    justify-content: space-between;
}
.edu_exp_skills_wrap .EES_content_wrap .mini_title{
    font-weight: 600;
} 
.EES_date_wrap .medium_text{
    color: var(--white-secondary);
}
/* About END */

/* Work START  */
.carousel_content_main_wrap{
    overflow: hidden;
}
.carousel_content_main_wrap .inner_item{
    padding-block: 90px;
}
.carousel_content_main_wrap .inner_item:nth-child(2){
    padding-top: 0;
}
.work_carousel_wrap{
    width: 100%;
}
.work_carousel_wrap .owl-stage{
    display: flex;
    align-items: center;
}
.carousel_wrap .img_wrap{
    width: 100%;
    height: 600px;
    display: flex;
    justify-content: center;
    cursor: grab;
}
.carousel_wrap .img_wrap img{
    width: fit-content;
    height: 100%;
    border-radius: 15px;
}
.work_carousel_wrap .owl-dots{
    display: flex;
    justify-content: center;
    gap: 2px;
}
.work_carousel_wrap .owl-dots button{
    width: 10px;
    height: 10px;
    background-color: var(--white-primary);
    border-radius: 10px;
    transition: 0.2s linear;
}
.work_carousel_wrap .owl-dots button.active{
    width: 28px;
}
.work_carousel_wrap .owl-dots button span{
    display: none !important;
}

.work_carousel_wrap .owl-nav button{
    font-size: 50px !important;
    position: absolute;
    top: 40%;
    color: var(--white-primary) !important;
    opacity: 1;
    outline: none;
    border: none;
    transition: 2.2 ease;
}
.work_carousel_wrap.owl-theme .owl-nav .disabled{
    opacity: 0.7;
    cursor: not-allowed;
}
.work_carousel_wrap.owl-theme .owl-nav [class*=owl-]:hover{
    background: transparent;
}
.work_carousel_wrap .owl-nav .owl-prev{
    left: 0;
}
.work_carousel_wrap .owl-nav .owl-next{
    right: 0;
}
.software_used_wrap{
    display: grid;
    row-gap: 15px;
    margin-top: 45px;
}
.softwere_used_title{
    margin: 0;
}
.softwere_btn_wrap{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    max-width: fit-content;
}
.softwere_btn{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2px;
    border: none;
    background-color: var(--white-primary);
    border-radius: 5px;
    padding: 5px 10px;
    max-width: fit-content;
}
.softwere_btn .icon{
    width: 20px;
    height: 20px;
    display: inline-block;
}
.softwere_btn .icon img{
    width: 100%;
}
.softwere_btn .softwere_text{
    font-size: var(---text-small);
    font-weight: var(--font-weight-500);
    color: var(--black-primary);
    font-family: var(--font-primary);
}
/* Work END */

/* Footer START  */
.footer_section{
    background: var(--black-radial-gradient);
    margin-inline: 10px;
    margin-bottom: 10px;
    border-radius: 1.5rem;
    border: 1px solid #9f9fad1a;
    padding-bottom: 0;
    overflow: hidden;
}
.footer_section .footer_title_wrap .title{
    font-family: var(--font-secondary);
    font-weight: var(--font-weight-500);
    font-size: 170px;
    text-align: center;
    background: var(--black-radial-gradient-text);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    max-width: fit-content;
    margin-inline: auto;
    margin-block: 10px;
}
.social_buttons_wrap{
    display: flex;
    justify-content: center;
    gap: 15px;
}
.social_buttons_wrap .single_button{
    display: inline-block;
    background-color: var(--white-primary);
    padding: 10px 25px;
    border-radius: 30px;
    text-decoration: none;
    text-transform: uppercase;
    text-align: center;
    transition: 0.3s ease;
    border: 1px solid var(--white-primary);
}
.social_buttons_wrap .single_button:hover{
    background-color: transparent;
}

.social_buttons_wrap .single_button .social_text{
    font-size: var(--heading-3);
    color: var(--black-primary);
    font-weight: var(--font-weight-400);
    transition: 0.3s ease;
}
.social_buttons_wrap .single_button:hover .social_text{
    color: var(--white-primary);
}
.dev_by .dev_by_text{
    font-size: var(--heading-5);
    font-weight: var(--font-weight-400);
    color: var(--white-primary);
    text-align: center;
    margin-top: 40px;
}
.dev_by .dev_by_text a{
    color: var(--white-primary);
    text-decoration: underline;
}
.dev_by .dev_by_text a:hover{
    color: var(--accent-color);
}
.footer_lines_wrap{
    display: flex;
    padding-bottom: 23px;
    padding-top: 50px;
}
.footer_lines_wrap .line_box{
    width: 100%;
    height: 40px;
    display: grid;
    align-items: center;
    border-width: 3px;
}
.footer_lines_wrap .line_box:nth-child(2){
    width: 40rem;
}
.footer_lines_wrap .line_box.box_left{
    border-right: solid #717171;
}
.footer_lines_wrap .line_box.box_right{
    border-left: solid #717171;
}
.footer_lines_wrap .line_box .line{
    display: inline-block;
    width: 100%;
    height: 3px;
}
.footer_lines_wrap .line_box.box_left .line{
    background: var(--black-linear-gradient-left);
}
.footer_lines_wrap .line_box.box_right .line{
    background: var(--black-linear-gradient-right);
}
/* Footer END */


.home_nav_outer{
    overflow: hidden;

.page_nav_buttons{
    transform: translateY(220%);
    transition: 0.4s linear;
}
.social_buttons_wrap.page_nav_buttons .single_button{
    border-radius: 10px;
}
.social_buttons_wrap.page_nav_buttons .single_button .social_text{
    font-size: var(--heading-4);
}
.social_buttons_wrap .single_button.active{
    background-color: var(--accent-color);
    border-color: var(--accent-color);
}
.social_buttons_wrap.page_nav_buttons .single_button.active .social_text{
    color: var(--black-primary);
}
.social_buttons_wrap .single_button.active:hover{
    color: var(--black-primary);
    background-color: transparent;
}
.social_buttons_wrap .single_button.active:hover .social_text{
    color: var(--accent-color);
}
.social_buttons_wrap .single_button.active .social_text:hover,
.social_buttons_wrap .single_button.active .social_text:active{
    color: var(--accent-color);
    /* color: var(--black-primary); */
}
.social_buttons_wrap .single_button{
    width: 75px;
    padding: 10px 20px;
}
}